#ifndef LOQPUSHBUTTON_H
#define LOQPUSHBUTTON_H

#include <QPushButton>

class LoQPushButton : public QPushButton
{
    Q_OBJECT
public:
    explicit LoQPushButton(QWidget *parent = nullptr);
    explicit LoQPushButton(const QString &text, QWidget *parent = nullptr);
    LoQPushButton(const QIcon& icon, const QString &text, QWidget *parent = nullptr);

public:
    void  setCustomData(void *data) { m_customData = data; }
    void* customData() { return m_customData; }

signals:
    void sigClicked(LoQPushButton* obj, bool f);

public slots:
    void onClicked(bool f);

private:
    void *m_customData;
};

#endif // LOQPUSHBUTTON_H
